{
  "getAllPSPanelFields" : [ {
    "id" : "field_text_dynamic"
  } ],
  "codeName" : "Usr1221404391",
  "controlType" : "PANEL",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr1221404391.json",
  "layoutMode" : "FLEX",
  "logicName" : "GridTestArrangePView表格视图布局",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSLayout" : {
    "layout" : "FLEX"
  },
  "getRootPSPanelItems" : [ {
    "caption" : "容器",
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "view_header",
    "getPSLayout" : {
      "align" : "space-between",
      "dir" : "row",
      "layout" : "FLEX",
      "vAlign" : "center"
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX",
      "shrink" : 0
    },
    "getPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header_left",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "heightMode" : "FULL",
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_captionbar",
        "getPSLayout" : {
          "align" : "center",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "页面标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "captionbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header_right",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "heightMode" : "FULL",
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_toolbar",
        "getPSLayout" : {
          "align" : "center",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "工具栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "toolbar",
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ]
      } ]
    } ],
    "predefinedType" : "VIEWHEADER"
  }, {
    "caption" : "文本(动态)",
    "itemStyle" : "DEFAULT",
    "itemType" : "FIELD",
    "name" : "field_text_dynamic",
    "getPSEditor" : {
      "editorType" : "SPAN",
      "name" : "field_text_dynamic",
      "predefinedType" : "FIELD_TEXT_DYNAMIC",
      "renderMode" : "TEXT_DYNAMIC",
      "enableLinkView" : false
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX"
    },
    "hidden" : false,
    "showCaption" : false
  }, {
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "view_searchform",
    "getPSLayout" : {
      "dir" : "column",
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "grow" : -1,
      "layout" : "FLEX",
      "shrink" : 0
    },
    "getPSPanelItems" : [ {
      "caption" : "搜索表单",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "searchform",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    } ]
  }, {
    "caption" : "容器",
    "itemStyle" : "DEFAULT",
    "itemType" : "CONTAINER",
    "name" : "view_content",
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getPSLayoutPos" : {
      "grow" : 1,
      "layout" : "FLEX"
    },
    "getPSPanelItems" : [ {
      "caption" : "表格",
      "itemStyle" : "DEFAULT",
      "itemType" : "CTRLPOS",
      "name" : "grid",
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "showCaption" : true
    } ],
    "predefinedType" : "VIEWCONTENT"
  } ],
  "layoutPanel" : true,
  "modelid" : "015C49CA-5F58-4247-BC1C-41A6A8A3A49B",
  "modeltype" : "PSSYSVIEWPANEL"
}